@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Noto+Sans+Arabic:wght@100..900&family=Tangerine:wght@400;700&display=swap");
@font-face {
  font-family: Angela_white;
  src: url(./font/angela_white.ttf);
}
* {
  padding: 0;
  margin: 0;
  text-decoration: none;
  box-sizing: border-box;
  font-family: "Montserrat", sans-serif;
  color: #283865;  
}
body{
  position: relative;
}
span{
  font-size: 1.5rem;
  margin-right: .7rem;
  animation:  bounce 1s ease-in-out infinite; 
}
@keyframes bounce {
  0%, 100% {
    transform: translateY(0); /* Start and end at normal position */
  }
  50% {
    transform: translateY(-.2rem); /* Move upward by 20 pixels at the midpoint */
  }
}
button {
  box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
  cursor: pointer;
  border: none;
  padding: .3rem 1rem;
  border-radius: .1rem;
  background-color: #dae5f1;
  font-size: 1rem;
}
.audio-control{
  z-index: 100;
  position: fixed;
  bottom: 15vh;
  right: 83vh;
  & > button {
    background: rgba(40, 56, 101, 0.1);
    box-shadow: rgba(6, 24, 44, 0.4) 0px 0px 0px 2px, rgba(6, 24, 44, 0.65) 0px 4px 6px -1px, rgba(255, 255, 255, 0.08) 0px 1px 0px inset;
    width: 4vh;
    height: 4vh;
    font-size: 3vh;
    font-weight: bolder;
    padding-bottom: 1vh;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    animation:  bounce .7s ease-in-out infinite;
    cursor: pointer;
  }
}
.container {
  height: 100vh;
  width: 60vh;
  margin: 0 auto;
  scroll-snap-type: y mandatory;
  scroll-behavior: smooth;
  overflow-y: scroll;
}
.container > div {
  scroll-snap-align: start;
  height: 100vh;
  background-size: contain;
  filter: drop-shadow(4px 4px 8px rgba(0, 0, 0, 0.5));
}
.cover {
  background: url("./img/4.png") no-repeat center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  & > * {
    margin-top: 2vh;
  }
  & div:nth-child(1){
    font-family: "Tangerine", cursive;
    font-size: 4.5rem;
    font-weight: 900;
  }
  & img {
    width: 10rem;
  }
  & div:nth-child(3){
    font-family: Angela_white;
    font-size: 4rem;
  }
  & :nth-child(4){
    margin-top: 4vh;
    box-shadow: rgba(6, 24, 44, 0.4) 0px 0px 0px 2px, rgba(6, 24, 44, 0.65) 0px 4px 6px -1px, rgba(255, 255, 255, 0.08) 0px 1px 0px inset;
    display: flex;
    align-items: center;
    padding: .3rem 1rem;
    border-radius: 1rem;
  }
}
.quotes {
  background: url("./img/2.png") no-repeat center;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  & p {
    font-size: 1.9rem;
    font-family: "Noto Sans Arabic", sans-serif;
    text-align: left;
    width: 40vh;
    padding-left: 6rem;
  }
  & :nth-child(2) {
    font-size: 1.3rem;
    padding-top: 2vh;
  }
}
.main-content {
  background: url("./img/4.png") no-repeat center;
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size: 1rem;
  padding: 15vh 5vh;
  text-align: center;
  & div {
    padding-top: 2.5vh;
  }
  & :nth-of-type(1) {
    font-family: "Noto Sans Arabic", sans-serif;
    font-size: 1.4rem;
    padding-top: 0;
  }
  & :nth-child(5) {
    width: 4.5rem;
    padding-top: 3vh;
  }
  & :nth-child(8) {
    width: 10rem;
    padding-top: 4vh;
  }
  & .name {
    font-size: 3.5rem;
    font-family: Angela_white;
    font-weight: bold;
  }
  & .desc {
    padding-top: 0vh;
  }
}
.tnp {
  background: url("./img/4.png") no-repeat center;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 15vh 5vh;
  & .main-title{
    font-family: "Tangerine", cursive;
    font-weight: bolder;
    font-size: 4rem;
  }
  & div{
    margin-top: .7vh;
  }
  & .wrapper{
    margin-top: 2vh;
    width: 40vh;
  }
  & .title{
    font-family: "Tangerine", cursive;
    font-size: 3rem;
  }
  & img{
    height: 6vh;
    margin-top: 4vh;
  }
  & button {
    margin-top: 2vh;
  }
}
.expression{
  background: url("./img/5.png") no-repeat center;
  display: flex;
  flex-direction: column;
  padding: 10vh 5vh;
  & .title{
    align-self: center;
    font-family: "Tangerine", cursive;
    font-weight: bolder;
    font-size: 4rem;
    margin-bottom: 3vh;
  }
  & .input-wrapper{
    padding: 2vh 5vh;
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
    border-radius: 2vh;
    margin-bottom: 2vh;
    display:none;
    flex-direction: column;
  }

  & .input-wrapper > div {
    font-weight: 600;
  }
  & .input-wrapper > div:nth-child(2), & .input-wrapper > button{
    margin-top: 2vh;
  }
  & .input-wrapper > div > *:not(div){
    margin-top: 1vh;
    width: 100%;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    border: none;
    border-radius: .3rem;
    padding: .5rem;
  }
  & .input-wrapper > .expression-quotes-field > textarea{
    height: 30vh;
    resize: none;
  }
  & .input-wrapper > button{
    align-self: center;
    width: 40%;
  }
  & .output-wrapper{
    overflow-y: scroll;
    height: 70vh;
  }
  & .output-wrapper .box , & .output-wrapper{
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
    padding: 1rem;
    border-radius: .5rem;
  }
  & .output-wrapper .box {
      margin-top: 1rem;
  }
  & .output-wrapper .box .expression-main{
    border-top: 1px dashed  #283865;
    margin-top: .5rem;
    padding-top: .4rem;
  }
  & button {
    margin-top: 2vh;
  }
}
.closing{
  background: url(./img/4.png) no-repeat center;
  display: flex;
  justify-content: center;
  text-align: center;
    & .box{
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      height: 100%;
      width: 80%;
    & img {
      height: 7vh;
      margin: 5vh;
    }
    & div:nth-child(2){
      font-family: "Tangerine", cursive;
      font-weight: bolder;
      font-size: 4rem;
    }
    & div:nth-child(3) {
      margin-top: 2vh;
      line-height: 1.6;
    }
    & div:nth-child(4){
      font-family: "Noto Sans Arabic", sans-serif;
      margin-top: 2vh;
      font-size: 1.5rem;
    }
  }
}

@media only screen and (max-width: 480px) {
  .audio-control{
    right: 5vh;
  }
  .container{
    height: 100vh;
    width: auto;
  }
  .cover{
      & div:nth-child(1){
        font-size: 4rem;
      }
      & img{
        width: 7rem;
      } 
      & div:nth-child(3){
        font-size: 3rem;
      }
  }
  .quotes {
      & p {
        font-size: 1.5rem;
        padding-left: 3rem;
      }
        & :nth-child(2) {
       font-size: 1rem;
      }
  }
  .main-content{
     & .name{
      font-size: 2.5rem;
     }
     & :nth-child(5) {
        width: 3rem;
      }
      & :nth-child(6){
        padding-top: 1vh;
      }
     & :nth-child(8) {
        width: 6rem;
        padding-top: 4vh;
     }
  }
  .tnp {
    & .main-title{
      font-size: 3rem;
    }
    & .title{
      font-size: 2rem;
      font-weight: bolder;
    }
    & img{
      height: 6vh;
      margin-top: 4vh;
    }
    & button {
      margin-top: 2vh;
    }
  }
  .expression{
    & .title{
      font-size: 3rem;
    }
  }
}